Gofive OpenAPI
empeoVenio
eTaxGo
empeoVenio
eTaxGo
  1. Customer
  • Introduction
  • Activity
    • Activities Enquiry
      POST
    • Get a Activity By Id
      GET
    • Get a Activity By No
      GET
    • Get Key Activities
      GET
    • Create or Update Activity
      POST
  • Authentication API
    • Authorization
      POST
  • Customer
    • Create or Update customer
      POST
    • Customer Search
      POST
    • Customers Enquiry
      POST
    • Get customer by id
      GET
    • Get customer by code
      GET
    • Get customer by name
      GET
    • Get customers by tax number
      GET
    • Check Customer Existence
      POST
    • Create Customer Satisfaction
      POST
    • Add Customer Event
      POST
    • Get Customer Events by Customer Code
      GET
    • Edit Customer Event
      PUT
    • Delete Customer Event
      DELETE
    • Get Customer Event Types
      GET
    • Get file categories
      GET
    • Attach files category
      POST
    • Get Customer by code
      GET
  • Case
    • Add Case
      POST
    • Edit Case by CaseNo
      PUT
    • Get Case by CaseNo
      GET
    • Get Case Categories
      GET
  • Case Management
    • Create Or Update Case
    • Case Enquiry
    • Get Case Categories
    • Get Case Stages
    • Get Case By CaseNo
  • Contract
    • Get Contract By No
    • Get Contract Types
    • Get Contract Templates
    • Create or Update Contract
    • Create or Update Contract Service Agreement
    • Send Contract Document
  • Conversation
    • Conversation Enquiry
    • Create Conversation
  • Expense
    • Create Expense
    • Update Expense
    • Expense Enquiry
    • Get a Expense
  • Deal
    • Create Deal
    • Update Deal
    • Deal Enquiry
    • Get Deal
    • Get Deal Board
    • Get Deal Stage
    • Get Deal Interest
    • Get DealLabel
    • Get Deal Missed Reason Categories
  • Employee
    • Employees Enquiry
    • Get a Employee
  • Product
    • Create Or Update Products
    • Get a Product Ticket
    • Get Products With Take & Status
    • Get a Product by ProductCode
    • Get Product Groups
    • Get Product Properties
    • Get Products By Filter
    • Verify Serial Number
    • Check Serial Verification Status
    • Create or Update Codeguard Products
    • Update Product Stock
    • Get Units
  • Quotation
    • Create Update Quotation
    • Convert Quotation To SalesOrder
    • Quotation Enquiry
    • Get a Quotation By QuotationNo
    • Cancel Quotation
    • Get Pdf By QuotationNo
  • SalesOrder
    • Create Or Update SalesOrder
    • SalesOrder Enquiry
    • Get a SalesOrder By Id
    • Get a SalesOrder By No
    • Get Sale Order Attachment by Id
    • Get Sale Order Attachment By No
    • Reject SaleOrder
    • Approve Sale Order
    • Update SalesOrder Payment
    • Get Pdf By SalesOrderNo
    • Update SalesOrder Tracking Number
  • Webhooks
    • Webhook Payload
  • Task
    • Task Enquiry
    • CompleteTaskAsync
    • CreateTask
  • Setting
    • Get HeaderTemplate
  • Chat
    • Post Send message
  • Storage
    • Upload files attachments
    • Get file attachments
    • Delete file attachments
  • Calendio
    • Create Venio Calendio Event
    • Edit Venio Calendio Event
    • Get Venio Calendio Events
    • Create empeo Calendio Event
    • Edit empeo Calendio Event
    • Get empeo Calendio Events
    • Get Venio Calendio Event by Id
    • Get empeo Calendio Event by Id
    • Create Appointment
    • Appointment Enquiry
    • Edit Appointment
    • Get Appointment By Id
    • Add Calendio Custom Field
    • Calendio Custom Field Enquiry
    • Get Calendio Custom Field by Id
    • Available slots Enquiry
    • Calendio Bookings Enquiry
    • Reschedule Calendio Booking time
    • Cancel Calendio Booking
  1. Customer

Get customer by code

GET
https://api.gofive.co.th/v3/customers/{customerCode}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/v3/customers/?timelineTake=' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Example
{
    "data": {
        "customerId": 0,
        "customerCode": "string",
        "customerName": "string",
        "customerState": 0,
        "customerStatus": 0,
        "customerType": 0,
        "customerPicture": "string",
        "customer2ndName": "string",
        "customerAliases": [
            "string"
        ],
        "customerTaxNo": "string",
        "branchCode": "string",
        "customerPhone": "string",
        "customerMobile": "string",
        "customerEmail": "string",
        "customerPosition": "string",
        "customerGender": 0,
        "customerMaritalStatus": 0,
        "customerBirthdate": "string",
        "customerIncome": 0,
        "addresses": [
            {
                "branchCode": "string",
                "locationName": "string",
                "locationAddress": "string",
                "secondaryAddress": "string",
                "locationType": 0,
                "latitude": 0,
                "longitude": 0,
                "subdistrict": "string",
                "subdistrictEN": "string",
                "district": "string",
                "districtEN": "string",
                "province": "string",
                "provinceEN": "string",
                "zipCode": "string"
            }
        ],
        "sourceName": "string",
        "customerGroupName": "string",
        "leadStatus": 0,
        "unqulifiedReasonName": "string",
        "unqulifiedReasonNote": "string",
        "interestsName": [
            "string"
        ],
        "customerTags": [
            "string"
        ],
        "classificationName": "string",
        "customFields": [
            {
                "customFieldName": "string",
                "customFieldValue": [
                    "string"
                ]
            }
        ],
        "contacts": [
            {
                "contactName": "string",
                "contactStatus": true,
                "contactPicture": "string",
                "contactPhone": "string",
                "contactMobile": "string",
                "contactEmail": "string",
                "contactPosition": "string",
                "contactBirthdate": "string",
                "contactNote": "string",
                "contactSocialAccount": {
                    "facebook": "string",
                    "line": "string",
                    "whatsapp": "string",
                    "skype": "string",
                    "instagram": "string",
                    "linkedin": "string",
                    "telegram": "string",
                    "wechat": "string"
                }
            }
        ],
        "customerSocialAccount": {
            "facebook": "string",
            "line": "string",
            "whatsapp": "string",
            "skype": "string",
            "instagram": "string",
            "linkedin": "string",
            "telegram": "string",
            "wechat": "string"
        },
        "customerNote": "string",
        "owners": [
            "string"
        ],
        "dateLeadSince": "2021-03-18T09:59:54+0700",
        "dateProspectSince": "2021-07-23T13:34:50+0700",
        "dateCustomerSince": "2021-08-24T17:23:09+0700",
        "timeline": [
            {
                "type": 210026,
                "typeName": "ModifiedCustomer",
                "actionText": "แอดมิน ได้แก้ไข รหัสกลุ่มลูกค้า เป็น A",
                "actionTextEn": "admin edited Customer Group Id to A",
                "refId": "string",
                "customerId": 0,
                "userId": "string",
                "userFullname": "string",
                "userPictureUrl": "string",
                "assignmentUserId": "string",
                "assignmentUserFullName": "string",
                "isAssignment": true,
                "contactId": 0,
                "contactName": "string",
                "description": "string",
                "dateAction": "2019-08-24T14:15:22.123Z",
                "dateFollowUp": "2019-08-24T14:15:22.123Z",
                "groupTypeId": 0,
                "isSystem": true,
                "isAiGenerated": true,
                "feedItem": {
                    "type": 0,
                    "title": "string",
                    "titleEn": "string",
                    "subTitle": "string",
                    "dateStart": "2019-08-24T14:15:22.123Z",
                    "dateEnd": "2019-08-24T14:15:22.123Z",
                    "action": "string",
                    "statusId": 0,
                    "statusName": "string",
                    "statusKey": "string",
                    "qualification": 0,
                    "conversationType": 0,
                    "subType": 0,
                    "subTypeName": "string",
                    "outCome": 0,
                    "outComeName": "string",
                    "callMinutes": 0,
                    "amount": 0,
                    "no": "string",
                    "fieldName": "CustomerGroupId",
                    "fieldLabel": "รหัสกลุ่มลูกค้า",
                    "fieldLabelEn": "Customer Group Id",
                    "oldData": "string",
                    "newData": "A",
                    "oldDataText": "string",
                    "oldDataTextEn": "string",
                    "newDataText": "string",
                    "newDataTextEn": "string"
                },
                "task": {
                    "taskId": 0,
                    "subject": "string",
                    "dateDue": "2019-08-24T14:15:22.123Z",
                    "statusId": 0,
                    "note": "string"
                }
            }
        ]
    }
}
Modified at 2026-10-01 07:51:07
Previous
Get customer by id
Next
Get customer by name
Built with